"use strict";
const common_vendor = require("../../../common/vendor.js");
const pages_index_model = require("../model.js");
if (!Math) {
  (MyTemplateWorkorder + MyTemplateMomentTask)();
}
const MyTemplateMomentTask = () => "./TemplateMomentTask.js";
const MyTemplateWorkorder = () => "./TemplateWorkorder.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "ToDeDone",
  setup(__props) {
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k;
      return common_vendor.e({
        a: (_c = (_b = (_a = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _a.listData) == null ? void 0 : _b.value) == null ? void 0 : _c.length
      }, ((_f = (_e = (_d = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _d.listData) == null ? void 0 : _e.value) == null ? void 0 : _f.length) ? {
        b: common_vendor.t((_i = (_h = (_g = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _g.listData) == null ? void 0 : _h.value) == null ? void 0 : _i.length)
      } : {}, {
        c: common_vendor.f((_k = (_j = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _j.listData) == null ? void 0 : _k.value, (i, index, i0) => {
          return common_vendor.e({
            a: (i == null ? void 0 : i.type) === "WorkOrder"
          }, (i == null ? void 0 : i.type) === "WorkOrder" ? {
            b: "11f7fa20-0-" + i0,
            c: common_vendor.p({
              item: i
            })
          } : {}, {
            d: (i == null ? void 0 : i.type) === "MomentTask"
          }, (i == null ? void 0 : i.type) === "MomentTask" ? {
            e: "11f7fa20-1-" + i0,
            f: common_vendor.p({
              item: i
            })
          } : {}, {
            g: `items_${index}`
          });
        })
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/index/components/ToDeDone.vue"]]);
wx.createComponent(Component);
